Returns all issues data for the specified IDs.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Issues under the Forms category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/issues \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2019-06-13T19:08:25Z",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"issueSource": {
"type": "form",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"status": "open",
"submittedAtTime": "2019-06-13T19:08:25Z",
"submittedBy": {
"id": "938172",
"type": "driver"
},
"title": "Oil spill",
"updatedAtTime": "2019-06-13T19:08:25Z",
"asset": {
"entryType": "tracked",
"externalIds": {},
"id": "281474982859091",
"name": "trailer 123"
},
"assignedTo": {
"id": "938172",
"type": "driver"
},
"description": "Oil spill in left corner of SF1",
"dueDate": "2019-06-13T19:08:25Z",
"externalIds": {},
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
],
"priority": "high"
}
]
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A comma-separated list containing up to 100 issue IDs to filter on. Can be either a unique Samsara ID or an external ID for the issue.
A comma separated list of additional fields to include on requested objects. Valid values: externalIds
OK response.
List of issues.
Show child attributes
curl --request GET \
--url https://api.samsara.com/issues \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2019-06-13T19:08:25Z",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"issueSource": {
"type": "form",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"status": "open",
"submittedAtTime": "2019-06-13T19:08:25Z",
"submittedBy": {
"id": "938172",
"type": "driver"
},
"title": "Oil spill",
"updatedAtTime": "2019-06-13T19:08:25Z",
"asset": {
"entryType": "tracked",
"externalIds": {},
"id": "281474982859091",
"name": "trailer 123"
},
"assignedTo": {
"id": "938172",
"type": "driver"
},
"description": "Oil spill in left corner of SF1",
"dueDate": "2019-06-13T19:08:25Z",
"externalIds": {},
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
],
"priority": "high"
}
]
}